[pacman-dev] [PATCH] Do not use checkout directory for SVN config

Allan McRae allan at archlinux.org
Wed Apr 10 22:01:41 EDT 2013


Using the checkout directory for the SVN config can result in clashes
between config files and files from the SVN checkout.  Instead, use
a ".makepkg" directory within the checkout.

Signed-off-by: Allan McRae <allan at archlinux.org>
---

Is the ".makepkg" name unique enough?  We need to use the --config-dir
flag to avoid affects of the users SVN config.  Also, the config directory
needs to be inside the source directory to avoid issues with multiple SVN
checkouts in the same directory.

 scripts/makepkg.sh.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 67ee22a..2bafb24 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -705,7 +705,7 @@ download_svn() {
 
 	if [[ ! -d "$dir" ]] || dir_is_empty "$dir" ; then
 		msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "svn"
-		if ! svn checkout --config-dir "$dir" "$url" "$dir"; then
+		if ! svn checkout --config-dir "$dir/.makepkg" "$url" "$dir"; then
 			error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "svn"
 			plain "$(gettext "Aborting...")"
 			exit 1
-- 
1.8.2.1



More information about the pacman-dev mailing list